/*
Theme Name: Recocycle
Theme URI: https://monkey.pe/
Description: A Hello Elementor child theme created by Monkey.
Author: Monkey
Author URI: https://monkey.pe/
Template: hello-elementor
Version: 1.0.0
Text Domain: recocycle
*/

/* Elementor Reset */
h1,
h2,
h3,
h4,
h5,
h6 {
	margin-block: 0;
}

input[type="date"],
input[type="email"],
input[type="number"],
input[type="password"],
input[type="search"],
input[type="tel"],
input[type="text"],
input[type="url"],
input[type="file"],
select,
textarea {
	width: 100%;
	line-height: 1;
}

input[type="date"]:focus,
input[type="email"]:focus,
input[type="number"]:focus,
input[type="password"]:focus,
input[type="search"]:focus,
input[type="tel"]:focus,
input[type="text"]:focus,
input[type="url"]:focus,
select:focus,
textarea:focus {
	outline: none;
}

select {
	font-family: var(--e-global-typography-text-font-family), sans-serif;
	font-weight: var(--e-global-typography-text-font-weight);
	color: var(--e-global-color-text);
	accent-color: var(--e-global-color-text);
	background-color: #fff;
	border: 1px solid var(--e-global-color-d9568cb);
	border-radius: 8px;
	padding: 16px;
}

select:focus {
	border: 1px solid var(--e-global-color-d9568cb);
}

[type="submit"] {
	border: inherit;
}

/* Post content */
.elementor-widget-theme-post-content p:last-child {
	margin-bottom: 0;
}

/* Icon list */
.elementor-icon-list-items .elementor-icon-list-item .elementor-icon-list-text a {
	text-decoration: none;
}

/* Testimonial carousel */
.elementor-widget-testimonial-carousel .elementor-main-swiper {
	width: 100%;
}

.elementor-widget-testimonial-carousel .swiper-slide {
	padding: 0;
}

.elementor-widget-testimonial-carousel .swiper-pagination {
	text-align: start;
}

.elementor-widget-testimonial-carousel .swiper-pagination-bullet {
	border-radius: 12px;
	transition: all 300ms ease-in-out;
}

.elementor-widget-testimonial-carousel .swiper-pagination-bullet:first-child {
	margin-left: 0;
}

.elementor-widget-testimonial-carousel .swiper-pagination-bullet-active {
	width: 36px !important;
}

/* Off-Canvas */
.elementor-widget-off-canvas .e-off-canvas {
	z-index: 5000;
}

/* Custom for Recocycle */
::selection {
	background-color: var(--e-global-color-accent);
	color: var(--e-global-color-primary);
}

::-moz-selection {
	background-color: var(--e-global-color-accent);
	color: var(--e-global-color-primary);
}

.services-item li {
	border: solid 2px var(--e-global-color-primary);
	padding: 10px !important;
	border-radius: 12px !important;
}

.services-item li:hover {
	background-color: var(--e-global-color-primary);
}

.services-item li:hover a span {
	color: #fff !important;
}

.services-item li a span {
	color: var(--e-global-color-primary) !important;
}
